gig::MidiRuleCtrlTrigger Class Reference

MIDI rule for triggering notes by control change events. More...

`#include <gig.h>`

Inheritance diagram for gig::MidiRuleCtrlTrigger:

## Public Attributes

uint8_t | ControllerNumber
| MIDI controller number.
uint8_t | Triggers
| Number of triggers.
struct gig::MidiRuleCtrlTrigger::trigger_t | pTriggers [32]

## Protected Member Functions

| MidiRuleCtrlTrigger (RIFF::Chunk *_3ewg)
void | UpdateChunks (uint8_t *pData) const

## Detailed Description

MIDI rule for triggering notes by control change events.

A "Control Trigger MIDI rule" allows to trigger new notes by sending MIDI control change events to the sampler.

Note: "Control Trigger" MIDI rules are only supported by gigedit, but not by LinuxSampler. We recommend you using real-time instrument scripts instead. Read more about the details and reasons for this in the description of the MidiRule base class.

Deprecated
  Just provided for backward compatibility, use Script for new instruments instead. See description of MidiRule for details.

Definition at line 1026 of file gig.h.

## Constructor & Destructor Documentation

## MidiRuleCtrlTrigger() [1/2]

gig::MidiRuleCtrlTrigger::MidiRuleCtrlTrigger | ( | RIFF::Chunk * | _3ewg | ) |

protected

Definition at line 4427 of file gig.cpp.

## MidiRuleCtrlTrigger() [2/2]

gig::MidiRuleCtrlTrigger::MidiRuleCtrlTrigger | ( |  | ) |

protected

Definition at line 4445 of file gig.cpp.

## Member Function Documentation

## UpdateChunks()

void gig::MidiRuleCtrlTrigger::UpdateChunks | ( | uint8_t * | pData | ) | const

protected virtual

Implements gig::MidiRule.

Definition at line 4450 of file gig.cpp.

## Member Data Documentation

## ControllerNumber

uint8_t gig::MidiRuleCtrlTrigger::ControllerNumber

MIDI controller number.

Definition at line 1028 of file gig.h.

## Triggers

uint8_t gig::MidiRuleCtrlTrigger::Triggers

Number of triggers.

Definition at line 1029 of file gig.h.

The documentation for this class was generated from the following files:

- gig.h
- gig.cpp